<h1>Historique des parties jouées</h1>

<table>
    <thead>
        <tr>
            <th>Numéro de la partie</th>
            <th>Catégorie</th>
            <th>Thème</th>
            <th>Date de réalisation</th>
            <th>Durée</th>
            <th>Nombre de bonne réponses</th>
            <th>Nombre de questions</th>
            <th>Pourcentage de réussite</th>
            <th>Points obtenues</th>
        </tr>
    </thead>
    <tbody>
        <?php
        //On commence par les inclusions
        require_once "dao/dao.php";
        require_once "dao/bdd.php";
        require_once "dao/game_dao.php";
        require_once "metier/game.php";
        require_once "dao/point_manager.php";
        require_once "metier/user.php";

        //On récupères les infos du joueur connecté
        $user = $_SESSION["user"];

        //On charge toutes les parties
        $dao = new game_dao();
        $games = $dao->selectByLogin($user->getLogin());

        //On vérifie si il y joué des partie
        if ($games == NULL) {
            //Dans ce cas, pour la validation W3C, on met des éléments vides
            //Mise en place du nombre de colonnes
            $nb_col = 9;

            //Début de la ligne
            echo '<tr>';

            //On boucle pour chaque colonnes
            for ($i = 0; $i < $nb_col; $i++) {
                echo '<td>';
                echo 'NA';
                echo '</td>';
            }

            //On termine la ligne
            echo '</tr>';
        } else {

            //Mise en place du compteur pour le classement
            $i = count($games);

            //On récupère les donnnées
            foreach ($games as $game) {
                $game_info = point_manager::getInfoByGroupId($game["id"]);

                echo '<tr>';
                echo '<td>';
                echo $i;
                echo '</td>';
                echo '<td>';
                echo $game_info["categorie"];
                echo '</td>';
                echo '<td>';
                echo $game_info["reponse0"] . ", " . $game_info["reponse1"] . " ou les 2";
                echo '</td>';
                echo '<td>';
                echo $game["date"];
                echo '</td>';
                echo '<td>';
                echo ($game["length"] / 1000) . "s";
                echo '</td>';
                echo '<td>';
                $ga = point_manager::getGoodAnswer($game["id"]);
                echo $ga[0];
                echo '</td>';
                echo '<td>';
                $qa = point_manager::getNbQuestion($game["id"]);
                echo $qa[0];
                echo '</td>';
                echo '<td>';
                echo floor($ga[0] / $qa[0] * 100) . "%";
                echo '</td>';
                echo '<td>';
                echo floor(point_manager::getGamePoint($game["id"]));
                echo '</td>';
                echo '</tr>';
                $i--;
            }
        }
        ?>
    </tbody>
</table>

<br/>
<br/>

<form class="center_item" method="post" action="index.php">
    <fieldset>
        <button type="button" onclick="javascript:navigate('index.php?page=account')">Retour au compte</button>
    </fieldset>
</form>